public static final class DaiSession.HttpRequest extends GeneratedMessage implements DaiSession.HttpRequestOrBuilder
An HTTP request made by DAI.
Protobuf type google.ads.admanager.v1.DaiSession.HttpRequest
Inherited Members
com.google.protobuf.GeneratedMessage.<ContainingT,T>newFileScopedGeneratedExtension(java.lang.Class<?>,com.google.protobuf.Message)
com.google.protobuf.GeneratedMessage.<ContainingT,T>newMessageScopedGeneratedExtension(com.google.protobuf.Message,int,java.lang.Class<?>,com.google.protobuf.Message)
com.google.protobuf.GeneratedMessage.<ListT>makeMutableCopy(ListT)
com.google.protobuf.GeneratedMessage.<ListT>makeMutableCopy(ListT,int)
com.google.protobuf.GeneratedMessage.<T>emptyList(java.lang.Class<T>)
com.google.protobuf.GeneratedMessage.<V>serializeBooleanMapTo(com.google.protobuf.CodedOutputStream,com.google.protobuf.MapField<java.lang.Boolean,V>,com.google.protobuf.MapEntry<java.lang.Boolean,V>,int)
com.google.protobuf.GeneratedMessage.<V>serializeIntegerMapTo(com.google.protobuf.CodedOutputStream,com.google.protobuf.MapField<java.lang.Integer,V>,com.google.protobuf.MapEntry<java.lang.Integer,V>,int)
com.google.protobuf.GeneratedMessage.<V>serializeLongMapTo(com.google.protobuf.CodedOutputStream,com.google.protobuf.MapField<java.lang.Long,V>,com.google.protobuf.MapEntry<java.lang.Long,V>,int)
com.google.protobuf.GeneratedMessage.<V>serializeStringMapTo(com.google.protobuf.CodedOutputStream,com.google.protobuf.MapField<java.lang.String,V>,com.google.protobuf.MapEntry<java.lang.String,V>,int)
com.google.protobuf.GeneratedMessage.canUseUnsafe()
com.google.protobuf.GeneratedMessage.emptyBooleanList()
com.google.protobuf.GeneratedMessage.emptyDoubleList()
com.google.protobuf.GeneratedMessage.emptyFloatList()
com.google.protobuf.GeneratedMessage.emptyIntList()
com.google.protobuf.GeneratedMessage.emptyLongList()
com.google.protobuf.GeneratedMessage.internalGetMapFieldReflection(int)
com.google.protobuf.GeneratedMessage.isStringEmpty(java.lang.Object)
com.google.protobuf.GeneratedMessage.mergeFromAndMakeImmutableInternal(com.google.protobuf.CodedInputStream,com.google.protobuf.ExtensionRegistryLite)
com.google.protobuf.GeneratedMessage.newInstance(com.google.protobuf.GeneratedMessage.UnusedPrivateParameter)
com.google.protobuf.GeneratedMessage.parseUnknownFieldProto3(com.google.protobuf.CodedInputStream,com.google.protobuf.UnknownFieldSet.Builder,com.google.protobuf.ExtensionRegistryLite,int)
Static Fields
LATENCY_FIELD_NUMBER
public static final int LATENCY_FIELD_NUMBER
| Field Value |
| Type |
Description |
int |
|
REQUEST_TIME_FIELD_NUMBER
public static final int REQUEST_TIME_FIELD_NUMBER
| Field Value |
| Type |
Description |
int |
|
RESPONSE_BODY_FIELD_NUMBER
public static final int RESPONSE_BODY_FIELD_NUMBER
| Field Value |
| Type |
Description |
int |
|
RESPONSE_CODE_FIELD_NUMBER
public static final int RESPONSE_CODE_FIELD_NUMBER
| Field Value |
| Type |
Description |
int |
|
URL_FIELD_NUMBER
public static final int URL_FIELD_NUMBER
| Field Value |
| Type |
Description |
int |
|
USER_AGENT_FIELD_NUMBER
public static final int USER_AGENT_FIELD_NUMBER
| Field Value |
| Type |
Description |
int |
|
Static Methods
getDefaultInstance()
public static DaiSession.HttpRequest getDefaultInstance()
getDescriptor()
public static final Descriptors.Descriptor getDescriptor()
newBuilder()
public static DaiSession.HttpRequest.Builder newBuilder()
newBuilder(DaiSession.HttpRequest prototype)
public static DaiSession.HttpRequest.Builder newBuilder(DaiSession.HttpRequest prototype)
public static DaiSession.HttpRequest parseDelimitedFrom(InputStream input)
public static DaiSession.HttpRequest parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)
parseFrom(byte[] data)
public static DaiSession.HttpRequest parseFrom(byte[] data)
| Parameter |
| Name |
Description |
data |
byte[]
|
parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)
public static DaiSession.HttpRequest parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)
parseFrom(ByteString data)
public static DaiSession.HttpRequest parseFrom(ByteString data)
parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)
public static DaiSession.HttpRequest parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)
public static DaiSession.HttpRequest parseFrom(CodedInputStream input)
public static DaiSession.HttpRequest parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
public static DaiSession.HttpRequest parseFrom(InputStream input)
public static DaiSession.HttpRequest parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)
parseFrom(ByteBuffer data)
public static DaiSession.HttpRequest parseFrom(ByteBuffer data)
parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)
public static DaiSession.HttpRequest parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)
parser()
public static Parser<DaiSession.HttpRequest> parser()
Methods
equals(Object obj)
public boolean equals(Object obj)
| Parameter |
| Name |
Description |
obj |
Object
|
Overrides
getDefaultInstanceForType()
public DaiSession.HttpRequest getDefaultInstanceForType()
getLatency()
public Duration getLatency()
Output only. How long the request took to complete.
.google.protobuf.Duration latency = 2 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns |
| Type |
Description |
Duration |
The latency.
|
getLatencyOrBuilder()
public DurationOrBuilder getLatencyOrBuilder()
Output only. How long the request took to complete.
.google.protobuf.Duration latency = 2 [(.google.api.field_behavior) = OUTPUT_ONLY];
getParserForType()
public Parser<DaiSession.HttpRequest> getParserForType()
Overrides
getRequestTime()
public Timestamp getRequestTime()
Output only. The time when the request was made.
.google.protobuf.Timestamp request_time = 1 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns |
| Type |
Description |
Timestamp |
The requestTime.
|
getRequestTimeOrBuilder()
public TimestampOrBuilder getRequestTimeOrBuilder()
Output only. The time when the request was made.
.google.protobuf.Timestamp request_time = 1 [(.google.api.field_behavior) = OUTPUT_ONLY];
getResponseBody()
public String getResponseBody()
Output only. The full response body.
optional string response_body = 6 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns |
| Type |
Description |
String |
The responseBody.
|
getResponseBodyBytes()
public ByteString getResponseBodyBytes()
Output only. The full response body.
optional string response_body = 6 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns |
| Type |
Description |
ByteString |
The bytes for responseBody.
|
getResponseCode()
public int getResponseCode()
Output only. The HTTP response code.
optional int32 response_code = 5 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns |
| Type |
Description |
int |
The responseCode.
|
getSerializedSize()
public int getSerializedSize()
| Returns |
| Type |
Description |
int |
|
Overrides
getUrl()
Output only. The URL sent in the request.
optional string url = 3 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns |
| Type |
Description |
String |
The url.
|
getUrlBytes()
public ByteString getUrlBytes()
Output only. The URL sent in the request.
optional string url = 3 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns |
| Type |
Description |
ByteString |
The bytes for url.
|
getUserAgent()
public String getUserAgent()
Output only. The user agent sent with the request.
optional string user_agent = 4 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns |
| Type |
Description |
String |
The userAgent.
|
getUserAgentBytes()
public ByteString getUserAgentBytes()
Output only. The user agent sent with the request.
optional string user_agent = 4 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns |
| Type |
Description |
ByteString |
The bytes for userAgent.
|
hasLatency()
public boolean hasLatency()
Output only. How long the request took to complete.
.google.protobuf.Duration latency = 2 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns |
| Type |
Description |
boolean |
Whether the latency field is set.
|
hasRequestTime()
public boolean hasRequestTime()
Output only. The time when the request was made.
.google.protobuf.Timestamp request_time = 1 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns |
| Type |
Description |
boolean |
Whether the requestTime field is set.
|
hasResponseBody()
public boolean hasResponseBody()
Output only. The full response body.
optional string response_body = 6 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns |
| Type |
Description |
boolean |
Whether the responseBody field is set.
|
hasResponseCode()
public boolean hasResponseCode()
Output only. The HTTP response code.
optional int32 response_code = 5 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns |
| Type |
Description |
boolean |
Whether the responseCode field is set.
|
hasUrl()
Output only. The URL sent in the request.
optional string url = 3 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns |
| Type |
Description |
boolean |
Whether the url field is set.
|
hasUserAgent()
public boolean hasUserAgent()
Output only. The user agent sent with the request.
optional string user_agent = 4 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns |
| Type |
Description |
boolean |
Whether the userAgent field is set.
|
hashCode()
| Returns |
| Type |
Description |
int |
|
Overrides
internalGetFieldAccessorTable()
protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Overrides
isInitialized()
public final boolean isInitialized()
Overrides
newBuilderForType()
public DaiSession.HttpRequest.Builder newBuilderForType()
newBuilderForType(AbstractMessage.BuilderParent parent)
protected DaiSession.HttpRequest.Builder newBuilderForType(AbstractMessage.BuilderParent parent)
Overrides
toBuilder()
public DaiSession.HttpRequest.Builder toBuilder()
writeTo(CodedOutputStream output)
public void writeTo(CodedOutputStream output)
Overrides